# Method: deployments.devices.signDevice

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION)
    - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION)
    - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_2)
    - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_3)
    - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_4)
    - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_5)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice#body.aspect)

Signs a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`.

### HTTP request

`POST https://sasportal.googleapis.com/v1alpha1/{device.name=deployments/*/devices/*}:signDevice`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `device.name` | `string` Output only. The resource path name. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "device": { "name": string, "fccId": string, "serialNumber": string, "preloadedConfig": { "category": enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceCategory`), "model": { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceModel`) }, "airInterface": { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceAirInterface`) }, "installationParams": { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.InstallationParams`) }, "measurementCapabilities": [ enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.MeasurementCapability`) ], "userId": string, "callSign": string, "state": enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.State`), "isSigned": boolean, "updateTime": string }, "activeConfig": { "category": enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceCategory`), "model": { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceModel`) }, "airInterface": { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceAirInterface`) }, "installationParams": { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.InstallationParams`) }, "measurementCapabilities": [ enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.MeasurementCapability`) ], "userId": string, "callSign": string, "state": enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.State`), "isSigned": boolean, "updateTime": string }, "state": enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.State_1`), "grants": [ { "maxEirp": number, "frequencyRange": { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.FrequencyRange`) }, "state": enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.GrantState`), "channelType": enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.ChannelType`), "moveList": [ { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DpaMoveList`) } ], "expireTime": string, "suspensionReason": [ string ], "grantId": string, "lastHeartbeatTransmitExpireTime": string } ], "displayName": string, "deviceMetadata": { "interferenceCoordinationGroup": string, "commonChannelGroup": string, "antennaModel": string, "nrqzValidated": boolean, "nrqzValidation": { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.NrqzValidation`) } }, "currentChannels": [ { "frequencyRange": { object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.FrequencyRange`) }, "score": number } ], "grantRangeAllowlists": [ { "lowFrequencyMhz": number, "highFrequencyMhz": number } ] } } ``` |

| Fields ||
|---|---|
| `device.fccId` | `string` The FCC identifier of the device. |
| `device.serialNumber` | `string` A serial number assigned to the device by the device manufacturer. |
| `device.preloadedConfig` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceConfig`)`` Configuration of the device, as specified via SAS Portal API. |
| `device.activeConfig` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceConfig`)`` Output only. Current configuration of the device as registered to the SAS. |
| `device.state` | ``enum (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.State_1`)`` Output only. Device state. |
| `device.grants[]` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceGrant`)`` Output only. Grants held by the device. |
| `device.displayName` | `string` Device display name. |
| `device.deviceMetadata` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceMetadata`)`` Device parameters that can be overridden by both SAS Portal and SAS registration requests. |
| `device.currentChannels[] (deprecated)` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.ChannelWithScore`)`` Output only. Current channels with scores. |
| `device.grantRangeAllowlists[]` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.FrequencyRange`)`` Only ranges that are within the allowlists are available for new grants. |

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sasportal`